## pg-dirtyread 1.3

=== Makefile ===
MODULE_big = pg_dirtyread
OBJS = pg_dirtyread.o dirtyread_tupconvert.o

EXTENSION = pg_dirtyread
DATA = pg_dirtyread--1.0.sql

REGRESS = extension dirtyread

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

pg_dirtyread.o dirtyread_tupconvert.o: dirtyread_tupconvert.h

## pg-dirtyread 1.2

=== debian/changelog ===
pg-dirtyread (1.2) unstable; urgency=medium

  * Refuse to return the "dead" pseudo column during recovery,
    because GetOldestXmin() asserts !RecoveryInProgress().
    Spotted by Andreas Seltenreich, thanks!

 -- Christoph Berg <myon@debian.org>  Sun, 06 Aug 2017 16:57:41 +0200

pg-dirtyread (1.1) unstable; urgency=medium

  * Initial release.
  * Changes from 1.0:
    + Fix some crashes.
    + Add ability to retrieve system columns such as xmax and ctid.
    + Add "dead" column to allow identification of removed rows

 -- Christoph Berg <myon@debian.org>  Sun, 23 Jul 2017 12:47:01 +0200

=== debian/control ===
Source: pg-dirtyread
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 4.0.1
Vcs-Browser: https://github.com/ChristophBerg/pg_dirtyread
Vcs-Git: https://github.com/ChristophBerg/pg_dirtyread.git

Package: postgresql-9.6-dirtyread
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
Description: Read dead but unvacuumed tuples from a PostgreSQL relation
 The pg_dirtyread extension provides the ability to read dead but unvacuumed
 rows from a PostgreSQL relation.

## pg-dirtyread 1.3

=== debian/changelog ===
pg-dirtyread (1.3) unstable; urgency=medium

  * Upload for PostgreSQL 10.
  * Use TupleDescAttr to access tuple descriptor attributes.

 -- Christoph Berg <myon@debian.org>  Sat, 23 Sep 2017 22:59:08 +0200

=== debian/control ===
Source: pg-dirtyread
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 4.1.0
Vcs-Browser: https://github.com/ChristophBerg/pg_dirtyread
Vcs-Git: https://github.com/ChristophBerg/pg_dirtyread.git

Package: postgresql-10-dirtyread
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
Description: Read dead but unvacuumed tuples from a PostgreSQL relation
 The pg_dirtyread extension provides the ability to read dead but unvacuumed
 rows from a PostgreSQL relation.

## pg-dirtyread 1.3.pgdg16.04+1

=== debian/changelog ===
pg-dirtyread (1.3.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg (jenkins-pg-dirtyread-source-
    distribution=xenial-5, 8fe46569b860d508dcab273f166026e39e175034/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Sun, 24 Sep 2017 12:15:20 +0200

## pg-dirtyread 1.3.pgdg70%2B1

=== debian/changelog ===
pg-dirtyread (1.3.pgdg70+1) wheezy-pgdg; urgency=medium

  * Rebuild for wheezy-pgdg (jenkins-pg-dirtyread-source-
    distribution=wheezy-5, 8fe46569b860d508dcab273f166026e39e175034/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Sun, 24 Sep 2017 12:15:05 +0200

## pg-dirtyread 1.3.pgdg90+1

=== debian/changelog ===
pg-dirtyread (1.3.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg (jenkins-pg-dirtyread-source-
    distribution=stretch-5,
    8fe46569b860d508dcab273f166026e39e175034/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Sun, 24 Sep 2017 12:15:15 +0200

## pg-dirtyread 1.3.pgdg+1

=== debian/changelog ===
pg-dirtyread (1.3.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg (jenkins-pg-dirtyread-source-distribution=sid-
    5, 8fe46569b860d508dcab273f166026e39e175034/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Sun, 24 Sep 2017 12:14:55 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-dirtyread

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	dh_auto_clean
	+pg_buildext clean build-%v

%:
	dh $@

## pg-dirtyread 2.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 OBJS = pg_dirtyread.o dirtyread_tupconvert.o
 
 EXTENSION = pg_dirtyread
-DATA = pg_dirtyread--1.0.sql
+DATA = pg_dirtyread--1.0.sql \
+	   pg_dirtyread--1.0--2.sql pg_dirtyread--2.sql
 
 REGRESS = extension dirtyread

=== debian/changelog ===
pg-dirtyread (2.0-3) unstable; urgency=medium

  * Update PostgreSQL Maintainers address.

 -- Christoph Berg <myon@debian.org>  Thu, 07 Feb 2019 11:26:25 +0100

pg-dirtyread (2.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Update watch file to ignore debian/ tags.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 12:54:36 +0200

pg-dirtyread (2.0-1) unstable; urgency=medium

  * Change pg_dirtyread to take regclass as argument.
  * Add watch file, change source format to 3.0 (quilt).

 -- Christoph Berg <myon@debian.org>  Mon, 23 Jul 2018 22:44:04 +0200

=== debian/control ===
Source: pg-dirtyread
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 4.3.0
Vcs-Browser: https://github.com/ChristophBerg/pg_dirtyread
Vcs-Git: https://github.com/ChristophBerg/pg_dirtyread.git

Package: postgresql-11-dirtyread
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11
Description: Read dead but unvacuumed tuples from a PostgreSQL relation
 The pg_dirtyread extension provides the ability to read dead but unvacuumed
 rows from a PostgreSQL relation.

## pg-dirtyread 2.1

=== debian/changelog ===
pg-dirtyread (2.1-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 14 Jun 2019 15:43:03 +0200

pg-dirtyread (2.1-1) unstable; urgency=medium

  * Support PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Jun 2019 15:43:03 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,34 @@
 Vcs-Browser: https://github.com/ChristophBerg/pg_dirtyread
 Vcs-Git: https://github.com/ChristophBerg/pg_dirtyread.git
 
+Package: postgresql-9.4-dirtyread
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.4
+Description: Read dead but unvacuumed tuples from a PostgreSQL relation
+ The pg_dirtyread extension provides the ability to read dead but unvacuumed
+ rows from a PostgreSQL relation.
+
+Package: postgresql-9.5-dirtyread
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.5
+Description: Read dead but unvacuumed tuples from a PostgreSQL relation
+ The pg_dirtyread extension provides the ability to read dead but unvacuumed
+ rows from a PostgreSQL relation.
+
+Package: postgresql-9.6-dirtyread
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
+Description: Read dead but unvacuumed tuples from a PostgreSQL relation
+ The pg_dirtyread extension provides the ability to read dead but unvacuumed
+ rows from a PostgreSQL relation.
+
+Package: postgresql-10-dirtyread
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
+Description: Read dead but unvacuumed tuples from a PostgreSQL relation
+ The pg_dirtyread extension provides the ability to read dead but unvacuumed
+ rows from a PostgreSQL relation.
+
 Package: postgresql-11-dirtyread
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11

## pg-dirtyread 2.2

=== debian/changelog ===
pg-dirtyread (2.2-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Oct 2019 13:18:47 +0200

pg-dirtyread (2.2-1) unstable; urgency=medium

  * New upstream version, upload for PostgreSQL 12.
    + regress: Try reading from an index.
    + Contrib: Add function to read all good tuples from a table, skipping
      over all tuples that trigger an error, add function to return ctids of
      all tuples in a table that trigger an error.
    + README: Fix instructions on setting PG_CONFIG.

 -- Christoph Berg <myon@debian.org>  Fri, 25 Oct 2019 13:18:47 +0200

=== debian/control ===
--- 
+++ 
@@ -43,3 +43,9 @@
  The pg_dirtyread extension provides the ability to read dead but unvacuumed
  rows from a PostgreSQL relation.
 
+Package: postgresql-12-dirtyread
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
+Description: Read dead but unvacuumed tuples from a PostgreSQL relation
+ The pg_dirtyread extension provides the ability to read dead but unvacuumed
+ rows from a PostgreSQL relation.

## pg-dirtyread 2.3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DATA = pg_dirtyread--1.0.sql \
 	   pg_dirtyread--1.0--2.sql pg_dirtyread--2.sql
 
-REGRESS = extension dirtyread
+REGRESS = extension dirtyread oid
 
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)

=== debian/changelog ===
pg-dirtyread (2.3-2.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 19 Oct 2020 11:11:52 +0200

pg-dirtyread (2.3-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 11:11:52 +0200

pg-dirtyread (2.3-1) unstable; urgency=medium

  * Support PostgreSQL 13.

 -- Christoph Berg <myon@debian.org>  Thu, 21 May 2020 23:06:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,11 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://github.com/ChristophBerg/pg_dirtyread
 Vcs-Git: https://github.com/ChristophBerg/pg_dirtyread.git
-
-Package: postgresql-9.4-dirtyread
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.4
-Description: Read dead but unvacuumed tuples from a PostgreSQL relation
- The pg_dirtyread extension provides the ability to read dead but unvacuumed
- rows from a PostgreSQL relation.
 
 Package: postgresql-9.5-dirtyread
 Architecture: any
@@ -49,3 +43,10 @@
 Description: Read dead but unvacuumed tuples from a PostgreSQL relation
  The pg_dirtyread extension provides the ability to read dead but unvacuumed
  rows from a PostgreSQL relation.
+
+Package: postgresql-13-dirtyread
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13
+Description: Read dead but unvacuumed tuples from a PostgreSQL relation
+ The pg_dirtyread extension provides the ability to read dead but unvacuumed
+ rows from a PostgreSQL relation.

## pg-dirtyread 2.4~20220627.1437-1~1.git643ff52.pgdg18.04+1

=== debian/changelog ===
pg-dirtyread (2.4~20220627.1437-1~1.git643ff52.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 16 Nov 2021 19:07:15 +0100

pg-dirtyread (2.4-1) unstable; urgency=medium

  * New upstream version with support for PostgreSQL 14.
  * Update package URLs.

 -- Christoph Berg <myon@debian.org>  Tue, 16 Nov 2021 19:07:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,11 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Vcs-Browser: https://github.com/ChristophBerg/pg_dirtyread
-Vcs-Git: https://github.com/ChristophBerg/pg_dirtyread.git
-
-Package: postgresql-9.5-dirtyread
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.5
-Description: Read dead but unvacuumed tuples from a PostgreSQL relation
- The pg_dirtyread extension provides the ability to read dead but unvacuumed
- rows from a PostgreSQL relation.
-
-Package: postgresql-9.6-dirtyread
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
-Description: Read dead but unvacuumed tuples from a PostgreSQL relation
- The pg_dirtyread extension provides the ability to read dead but unvacuumed
- rows from a PostgreSQL relation.
+Vcs-Browser: https://github.com/df7cb/pg_dirtyread
+Vcs-Git: https://github.com/df7cb/pg_dirtyread.git
 
 Package: postgresql-10-dirtyread
 Architecture: any
@@ -50,3 +36,10 @@
 Description: Read dead but unvacuumed tuples from a PostgreSQL relation
  The pg_dirtyread extension provides the ability to read dead but unvacuumed
  rows from a PostgreSQL relation.
+
+Package: postgresql-14-dirtyread
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14
+Description: Read dead but unvacuumed tuples from a PostgreSQL relation
+ The pg_dirtyread extension provides the ability to read dead but unvacuumed
+ rows from a PostgreSQL relation.

## pg-dirtyread 2.4~20220627.1437-1~1.git643ff52.pgdg20.04+1

=== debian/changelog ===
pg-dirtyread (2.4~20220627.1437-1~1.git643ff52.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 16 Nov 2021 19:07:15 +0100

## pg-dirtyread 2.4~20220627.1437-1~1.git643ff52.pgdg21.10+1

=== debian/changelog ===
pg-dirtyread (2.4~20220627.1437-1~1.git643ff52.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 16 Nov 2021 19:07:15 +0100

## pg-dirtyread 2.4~20220627.1437-1~1.git643ff52.pgdg22.04+1

=== debian/changelog ===
pg-dirtyread (2.4~20220627.1437-1~1.git643ff52.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 16 Nov 2021 19:07:15 +0100

## pg-dirtyread 2.4~20220627.1437-1~1.git643ff52.pgdg90+1

=== debian/changelog ===
pg-dirtyread (2.4~20220627.1437-1~1.git643ff52.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 16 Nov 2021 19:07:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://github.com/df7cb/pg_dirtyread

## pg-dirtyread 2.4~20220627.1437-1~1.git643ff52.pgdg100+1

=== debian/changelog ===
pg-dirtyread (2.4~20220627.1437-1~1.git643ff52.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 16 Nov 2021 19:07:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://github.com/df7cb/pg_dirtyread

## pg-dirtyread 2.4~20220627.1437-1~1.git643ff52.pgdg110+1

=== debian/changelog ===
pg-dirtyread (2.4~20220627.1437-1~1.git643ff52.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 16 Nov 2021 19:07:15 +0100

## pg-dirtyread 2.4~20220627.1437-1~1.git643ff52.pgdg120+1

=== debian/changelog ===
pg-dirtyread (2.4~20220627.1437-1~1.git643ff52.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 16 Nov 2021 19:07:15 +0100

## pg-dirtyread 2.4~20220627.1437-1~1.git643ff52.pgdg+1

=== debian/changelog ===
pg-dirtyread (2.4~20220627.1437-1~1.git643ff52.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 16 Nov 2021 19:07:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
+Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://github.com/df7cb/pg_dirtyread

## pg-dirtyread 2.4

=== debian/changelog ===
pg-dirtyread (2.4-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 16 Nov 2021 19:07:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,18 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://github.com/df7cb/pg_dirtyread
 Vcs-Git: https://github.com/df7cb/pg_dirtyread.git
+
+Package: postgresql-9.6-dirtyread
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
+Description: Read dead but unvacuumed tuples from a PostgreSQL relation
+ The pg_dirtyread extension provides the ability to read dead but unvacuumed
+ rows from a PostgreSQL relation.
 
 Package: postgresql-10-dirtyread
 Architecture: any

## pg-dirtyread 2.5

=== debian/control ===
Source: pg-dirtyread
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://github.com/df7cb/pg_dirtyread
Vcs-Git: https://github.com/df7cb/pg_dirtyread.git

Package: postgresql-15-dirtyread
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15
Description: Read dead but unvacuumed tuples from a PostgreSQL relation
 The pg_dirtyread extension provides the ability to read dead but unvacuumed
 rows from a PostgreSQL relation.

## pg-dirtyread 2.6

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DATA = pg_dirtyread--1.0.sql \
 	   pg_dirtyread--1.0--2.sql pg_dirtyread--2.sql
 
-REGRESS = extension dirtyread oid
+REGRESS = extension dirtyread oid index
 
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)

=== debian/changelog ===
pg-dirtyread (2.6-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sun, 17 Sep 2023 19:01:39 +0200

pg-dirtyread (2.6-1) unstable; urgency=medium

  * Update test output for PG16.

 -- Christoph Berg <myon@debian.org>  Mon, 03 Jul 2023 20:06:54 +0200

pg-dirtyread (2.5-1) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * New upstream version.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Oct 2022 10:36:40 +0200

## pg-dirtyread 2.7

=== Makefile ===
--- 
+++ 
@@ -11,4 +11,9 @@
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 
+# toast test works on PG14+ only
+ifneq ($(filter-out 9.% 10 11 12 13,$(MAJORVERSION)),)
+  REGRESS += toast
+endif
+
 pg_dirtyread.o dirtyread_tupconvert.o: dirtyread_tupconvert.h

=== debian/changelog ===
pg-dirtyread (2.7-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2024 18:13:17 +0200

pg-dirtyread (2.7-1) unstable; urgency=medium

  * Set SO_TYPE_SEQSCAN in heap_beginscan() to support PG17.
  * Exercise toast in tests.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Jun 2024 18:03:05 +0200

=== debian/control ===
Source: pg-dirtyread
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://github.com/df7cb/pg_dirtyread
Vcs-Git: https://github.com/df7cb/pg_dirtyread.git

Package: postgresql-17-dirtyread
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Read dead but unvacuumed tuples from a PostgreSQL relation
 The pg_dirtyread extension provides the ability to read dead but unvacuumed
 rows from a PostgreSQL relation.

=== debian/watch ===
version=4
https://github.com/df7cb/pg_dirtyread/tags .*/([0-9.]*).tar.gz
